import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router);
export default new Router({
  mode: 'history',
  base: process.env.NODE_ENV === 'development' ? '' : 'admincms',
  routes: [
    {
      path: '/',
      redirect: '/homeIndex',
    },
    {
      path: '/',
      component: () => import('../components/common/Home.vue'),
      meta: { title: '自述文件' },
      children: [
        {
          path: '/homeIndex',
          component: () => import('../views/homeIndex.vue'),
          meta: { title: '系统首页' },
        },
        {
          path: '/site',
          component: () => import('../views/site/index.vue'),
          meta: { title: '系统设置' },
        },
        {
          path: '/government',
          component: () => import('../views/government/index.vue'),
          meta: { title: '科技政务' },
        },
        {
          path: '/government/detail',
          component: () => import('../views/government/detail.vue'),
          meta: { title: '科技政务信息管理' },
        },
        {
          path: '/policy',
          component: () => import('../views/policy/index.vue'),
          meta: { title: '科技政策' },
        },
        {
          path: '/record',
          component: () => import('../views/record/index.vue'),
          meta: { title: '科技数据' },
        },
        {
          path: '/serve',
          component: () => import('../views/serve/index.vue'),
          meta: { title: '科技服务' },
        },
        {
          path: '/column',
          component: () => import('../views/column/index.vue'),
          meta: { title: '栏目管理' },
        },
        {
          path: '/recruit',
          component: () => import('../views/recruit/index.vue'),
          meta: { title: '招聘信息' },
        },
        {
          path: '/recruit/detail',
          component: () => import('../views/recruit/detail.vue'),
          meta: { title: '招聘信息管理' },
        },
        {
          path: '/resume',
          component: () => import('../views/resume/index.vue'),
          meta: { title: '人才信息管理' },
        },
        {
          path: '/experts',
          component: () => import('../views/experts/index.vue'),
          meta: { title: '专家信息管理' },
        },
        {
          path: '/informate',
          component: () => import('../views/informate/index.vue'),
          meta: { title: '基本信息管理' },
        },
        {
          path: '/links',
          component: () => import('../views/links/index.vue'),
          meta: { title: '友情链接' },
        },
        {
          path: '/links/detail',
          component: () => import('../views/links/detail.vue'),
          meta: { title: '友情链接' },
        },
      ],
    },
    {
      path: '/login',
      component: () => import('../views/Login.vue'),
      meta: { title: '登录' },
    },
    {
      path: '*',
      redirect: '/404',
    },
  ],
});
